package main

import (
	"context"

	"go.sour.is/pkg/lg"
	"go.sour.is/pkg/service"

	"go.sour.is/tools/app/mailadm"
	"go.sour.is/tools/app/root"
)

var _ = apps.Register(50, func(ctx context.Context, svc *service.Harness) error {
	_, span := lg.Span(ctx)
	defer span.End()

	span.AddEvent("Enable MailADM")
	svc.Add(root.New(), mailadm.New())

	return nil
})
